<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{1830AE22-DDC7-478C-B239-7FB119A11927}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SqlDynamite</RootNamespace>
    <AssemblyName>SqlDynamite</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
    <StartupObject>SqlDynamite.App</StartupObject>
    <ApplicationIcon>Resources\WindowIcon.ico</ApplicationIcon>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <ManifestCertificateThumbprint>EB2C8807E6FAED64163F42117C32913285176C35</ManifestCertificateThumbprint>
    <ManifestKeyFile>SQL Dynamite_TemporaryKey.pfx</ManifestKeyFile>
    <GenerateManifests>false</GenerateManifests>
    <TargetZone>LocalIntranet</TargetZone>
    <SignManifests>false</SignManifests>
    <SignAssembly>false</SignAssembly>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <RunPostBuildEvent>OnOutputUpdated</RunPostBuildEvent>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>3.5</OldToolsVersion>
    <UpgradeBackupLocation />
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ProductName>SQL Dynamite</ProductName>
    <PublisherName>Anatoliy Sova</PublisherName>
    <SuiteName>SQL Dynamite</SuiteName>
    <ApplicationRevision>2</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <PublishWizardCompleted>true</PublishWizardCompleted>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xaml" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="PresentationCore">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="PresentationFramework">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsFormsIntegration" />
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="XmlUtil.cs" />
    <Page Include="ConfigWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="ListWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="MainWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="WPFAboutBox.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="DataUtil.cs" />
    <Compile Include="MainWindow.xaml.cs">
      <DependentUpon>MainWindow.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="HighlightDescriptor.cs" />
    <Compile Include="ServerInfo.cs" />
    <Compile Include="SyntaxHighlightingTextBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="SyntaxProvider.cs" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ConfigWindow.xaml.cs">
      <DependentUpon>ConfigWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="ListWindow.xaml.cs">
      <DependentUpon>ListWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="WPFAboutBox.xaml.cs">
      <DependentUpon>WPFAboutBox.xaml</DependentUpon>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <SubType>Designer</SubType>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <AppDesigner Include="Properties\" />
    <EmbeddedResource Include="SyntaxHighlightingTextBox.resx">
      <DependentUpon>SyntaxHighlightingTextBox.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\WindowIcon.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="syntax\ingres_functions.txt" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="FSharp.Core">
      <Version>8.0.400</Version>
    </PackageReference>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Add_24x24.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Check_24x24.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Delete_24x24.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Edit_24x24.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\Log Out_24x24.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="syntax\dax_functions.txt" />
    <Resource Include="syntax\dmx_functions.txt" />
    <Resource Include="syntax\firebird_functions.txt" />
    <Resource Include="syntax\mdx_functions.txt" />
    <Resource Include="syntax\mssql_functions.txt" />
    <Resource Include="syntax\oracle_functions.txt" />
    <Resource Include="syntax\sybase_anywhere_functions.txt" />
    <Resource Include="syntax\sybase_ase_functions.txt" />
    <Resource Include="syntax\db2_functions.txt" />
    <Resource Include="syntax\mysql_functions.txt" />
    <Resource Include="syntax\postgresql_functions.txt" />
    <Resource Include="syntax\sqlite_functions.txt" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\SqlDynamite.Common\SqlDynamite.Common.fsproj">
      <Project>{11be0bac-2022-4732-9139-2ba99c001f67}</Project>
      <Name>SqlDynamite.Common</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <PropertyGroup>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>